## alljoyn-services-1504 15.04

=== sample_apps/SConstruct ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import os

env = SConscript('../../../core/alljoyn/build_core/SConscript')

vars = Variables()
vars.Add('BINDINGS', 'Bindings to build (comma separated list): cpp, java', 'cpp,java')
vars.Add(EnumVariable('BUILD_SERVICES_SAMPLES',
                      'Build the services samples.',
                      'on',
                      allowed_values = ['on', 'off']))
vars.Add(PathVariable('ALLJOYN_DISTDIR',
                      'Directory containing a built AllJoyn Core dist directory.',
                      os.environ.get('ALLJOYN_DISTDIR')))
vars.Add(PathVariable('APP_COMMON_DIR',
                      'Directory containing common sample application sources.',
                      os.environ.get('APP_COMMON_DIR','.')))

vars.Update(env)
Help(vars.GenerateHelpText(env))

if env.get('ALLJOYN_DISTDIR'):
    # normalize ALLJOYN_DISTDIR first
    env['ALLJOYN_DISTDIR'] = env.Dir('$ALLJOYN_DISTDIR')
    env.Append(CPPPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/inc'),
                           env.Dir('$ALLJOYN_DISTDIR/about/inc'),
                           env.Dir('$ALLJOYN_DISTDIR/services_common/inc') ])
    env.Append(LIBPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/lib'),
                           env.Dir('$ALLJOYN_DISTDIR/about/lib'),
                           env.Dir('$ALLJOYN_DISTDIR/services_common/lib') ])

if env.get('APP_COMMON_DIR'):
    # normalize APP_COMMON_DIR
    env['APP_COMMON_DIR'] = env.Dir('$APP_COMMON_DIR')

env['bindings'] = set([ b.strip() for b in env['BINDINGS'].split(',') ])

env.SConscript('SConscript')

=== services_common/SConstruct ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import os

env = SConscript('../../../core/alljoyn/build_core/SConscript')

vars = Variables()
vars.Add('BINDINGS', 'Bindings to build (comma separated list): cpp, java', 'cpp,java')
vars.Add(PathVariable('ALLJOYN_DISTDIR',
                      'Directory containing a built AllJoyn Core dist directory.',
                      os.environ.get('ALLJOYN_DISTDIR')))
vars.Update(env)
Help(vars.GenerateHelpText(env))

if env.get('ALLJOYN_DISTDIR'):
    # normalize ALLJOYN_DISTDIR first
    env['ALLJOYN_DISTDIR'] = env.Dir('$ALLJOYN_DISTDIR')
    env.Append(CPPPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/inc') ])
    env.Append(LIBPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/lib') ])

env['bindings'] = set([ b.strip() for b in env['BINDINGS'].split(',') ])

env.SConscript('SConscript')

=== time/SConstruct ===
# Copyright AllSeen Alliance. All rights reserved.
#
#    Permission to use, copy, modify, and/or distribute this software for any
#    purpose with or without fee is hereby granted, provided that the above
#    copyright notice and this permission notice appear in all copies.
#
#    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
#    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
#    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
#    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import os

env = SConscript('../../../core/alljoyn/build_core/SConscript')

vars = Variables()
vars.Add('BINDINGS', 'Bindings to build (comma separated list): cpp, java', 'cpp,java')
vars.Add(EnumVariable('BUILD_SERVICES_SAMPLES',
                      'Build the services samples.',
                      'on',
                      allowed_values = ['on', 'off']))
vars.Add(PathVariable('ALLJOYN_DISTDIR',
                      'Directory containing a built AllJoyn Core dist directory.',
                      os.environ.get('ALLJOYN_DISTDIR')))
vars.Add(PathVariable('APP_COMMON_DIR',
                      'Directory containing common sample application sources.',
                      os.environ.get('APP_COMMON_DIR','../sample_apps')))
vars.Update(env)
Help(vars.GenerateHelpText(env))


if env.get('OS_GROUP') == 'windows':
	vars = Variables()
	vars.Add(PathVariable('LIBXML2_PATH', 'libxml2 library directory (windows only)', os.environ.get('LIBXML2_PATH')))
	vars.Update(env)
	
if env.get('ALLJOYN_DISTDIR'):
    # normalize ALLJOYN_DISTDIR first
    env['ALLJOYN_DISTDIR'] = env.Dir('$ALLJOYN_DISTDIR')
    env.Append(CPPPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/inc'),
                           env.Dir('$ALLJOYN_DISTDIR/about/inc'),
                           env.Dir('$ALLJOYN_DISTDIR/services_common/inc') ])
    env.Append(LIBPATH = [ env.Dir('$ALLJOYN_DISTDIR/cpp/lib'),
                           env.Dir('$ALLJOYN_DISTDIR/about/lib'),
                           env.Dir('$ALLJOYN_DISTDIR/services_common/lib') ])

if env.get('APP_COMMON_DIR'):
    # normalize APP_COMMON_DIR
    env['APP_COMMON_DIR'] = env.Dir('$APP_COMMON_DIR')


env['bindings'] = set([ b.strip() for b in env['BINDINGS'].split(',') ])

env.SConscript('SConscript')

=== debian/changelog ===
alljoyn-services-1504 (15.04-8) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa URLs
  * debian/copyright: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Feb 2018 16:01:37 +0100

alljoyn-services-1504 (15.04-7) unstable; urgency=medium

  * add gcc7 patch (Closes: #853307)
  * debian/control: change priority: from extra to optional
  * debian/control: bump standard to 4.0.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Aug 2017 19:28:32 +0200

alljoyn-services-1504 (15.04-6) unstable; urgency=medium

  * take care of broken symlinks (Closes: #861506)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 May 2017 18:28:32 +0200

alljoyn-services-1504 (15.04-5) unstable; urgency=medium

  * move package to debian-iot-maintainer

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Dec 2016 18:28:32 +0100

alljoyn-services-1504 (15.04-4) unstable; urgency=medium

  * add no-bsymbolic.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Jun 2016 12:28:32 +0200

alljoyn-services-1504 (15.04-3) unstable; urgency=medium

  * debian/rules: take CPU mapping from alljoyn-core-1504
  * debian/rules: remove arm directory from build-core 
    (Closes: #826765)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Jun 2016 19:28:32 +0200

alljoyn-services-1504 (15.04-2) unstable; urgency=medium

  * debian/rules: add CPU mapping from alljoyn-core-1504 
  * debian/control: add VCS URLs
  * combine all ReleaseNotes.txt to create upstream changelog

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2016 20:28:32 +0200

alljoyn-services-1504 (15.04-1) unstable; urgency=medium

  * Initial release (Closes: #826354)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 04 Jun 2016 22:28:32 +0200

=== debian/control ===
Source: alljoyn-services-1504
Section: net
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: dh-exec (>=0.3)
               , debhelper (>=11)
	       , liballjoyn-common-dev-1504
	       , liballjoyn-dev-1504
               , scons
               , libssl-dev
               , libgtest-dev
	       , libxml2-dev
#	       , javahelper
#	       , junit
#	       , libcsv-java
#	       , libmatthew-debug-java
#	       , libitext-java
#               , ant
#               , libcap-dev
Standards-Version: 4.1.3
Homepage: https://allseenalliance.org/framework
Vcs-Browser: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-services-1504.git
Vcs-Git: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-services-1504.git

Package: liballjoynservices1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn base services library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the libraries for the base services 
 in version 1504.

Package: liballjoynservices-dev-1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoynservices1504 (= ${binary:Version}),
         liballjoyn-common-dev-1504
Section: libdevel
Description: AllJoyn base services C++ development library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ development files for the base services.

Package: alljoyn-services-1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn base services for 1504
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the software for the base services 
 in version 1504.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar
export GTEST_DIR=/usr/src/gtest

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# mapping all i.86 to x86 for Alljoyn
CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU | sed -e 's/i.86/x86/')
BUILDARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
OS=linux


export VERSION := 15.04
export SONAME := 1504
export VARIANT := release
export SCONS_ARGS := CPU=$(CPU) OS=$(OS) VARIANT=$(VARIANT) V=1 GTEST_DIR=$(GTEST_DIR)
export BUILD_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/dist
export OBJ_DIR := $(CURDIR)/build/$(OS)/$(CPU)/$(VARIANT)/obj

%:
	dh $@

override_dh_auto_build:
	(cd sample_apps; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
	(cd time; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
	(cd config; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
	(cd services_common; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
	(cd controlpanel; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
	(cd onboarding; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)
	(cd notification; \
	scons BINDINGS=cpp $(SCONS_ARGS) \
		WS=off BT=off ICE=off \
	)

	touch ./to-be.removed-now.md5
	find ./* |grep '\.md5'|xargs rm

	dh_auto_build

override_dh_auto_clean:
	# see explanation of -I for dpkg-source
	# as this dir contains an {arch}, dpkg-source ignores it
	# "arm" in Alljoyn world means openWRT+cross compiling
	# so this is not needed for Debian
	rm -rf build_core/conf/linux/arm
	rm -f sample_apps/.sconsign.dblite
	rm -rf sample_apps/.sconf_temp
	rm -f services_common/.sconsign.dblite
	rm -rf services_common/.sconf_temp
	rm -f notification/.sconsign.dblite
	rm -rf notification/.sconf_temp
	rm -f onboarding/.sconsign.dblite
	rm -rf onboarding/.sconf_temp
	rm -f controlpanel/.sconsign.dblite
	rm -rf controlpanel/.sconf_temp
	rm -f time/.sconsign.dblite
	rm -rf time/.sconf_temp
	rm -f config/.sconsign.dblite
	rm -rf config/.sconf_temp
	touch ./to-be.removed-now.md5
	find ./* |grep '\.md5'|xargs rm
	rm -rf sample_apps/build
	rm -rf services_common/build
	rm -rf notification/build
	rm -rf onboarding/build
	rm -rf controlpanel/build
	rm -rf time/build
	rm -rf config/build
	dh_auto_clean

override_dh_install:
	dh_install
	# improve stuff
	chmod 644 debian/alljoyn-services-1504/etc/alljoyn/*.conf

override_dh_installchangelogs:
	cat */ReleaseNotes.txt > ReleaseNotes.txt
	dh_installchangelogs ReleaseNotes.txt
	rm ReleaseNotes.txt
	dh_installchangelogs

=== debian/watch ===
version=3
opts="dversionmangle=s/base/alljoyn-services/" \
https://git.allseenalliance.org/cgit/services/base.git/ /cgit/services/base.git/snapshot/base-(15\.04.*)\.tar\.gz
